Add stats to Twocolconflict board
Closed, ResolvedPublic

Description

Please add the following to the current grafana board:

  • the same stats we have for the revision slider, except events, i..e loads, errors, total BF users, new bf users and new bf disables
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2017, 11:01 AM

AFAIKS, the only schema in the log database (m2, mariaDB, see https://meta.wikimedia.org/wiki/Research:Schemas) that has anything to do with edit conflicts is https://meta.wikimedia.org/wiki/Schema:EditConflict. This table is not fully developed (there are currently two versions on log: EditConflict_8860941 and EditConflict_8860941_15423246) and not yet fully documented.

I was not able to find anything that tracks the usage of TwoColConflict, except for I know that there must be something since we have this on Graphana: https://grafana.wikimedia.org/dashboard/db/mediawiki-twocolconflict?orgId=1

@Addshore @Tobi_WMDE_SW Let me know if you can provide any hints and insights; "in theory" I could help, but I need to know at least where to get the data from.

So for this we will add some tracking within the code of the TwoColConflict extension itself. This code will send data to statsd, which will then end up in the graphite instance. This will allow us to track events from the code.

Numbers like the beta feature users are already tracked in graphite and can be seen on a dashboard such as https://grafana.wikimedia.org/dashboard/db/betafeatures but this can be added to the two col conflict dashboard.
Those numbers are generated from the https://phabricator.wikimedia.org/diffusion/ADES/browse/master/src/betafeatures/counts.php script.

@Addshore Ok. I understand the route now. I have never worked with Graphite and Grafana before, but from what I've seen in their documentation - at least Grafana seems easy to do. Your call: let me know how can I help you with this and what do you think I should do to get ready if you need my help.

Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 6 2017, 3:43 PM

So, looking at this again.

loads is essentially already tracked, as the number of conflicts is tracked.
errors doesn't really apply to the twocolconflict extension, for revslider this relates to the api queries that the code makes failing causing the slider to fail. TwoColConflict doesn't make any similar api calls / have a way to fail like this.

So code changes are not needed and the panels for BF things just need to be pulled over from the revslider dashboard.

Addshore closed this task as Resolved.Jun 7 2017, 10:24 AM
Addshore claimed this task.

I have added the BetaFeature panel to the dashboard.
If we want any other specific things feel free to reopen.

Restricted Application added a project: User-Addshore. · View Herald TranscriptJun 7 2017, 10:24 AM
Tobi_WMDE_SW reopened this task as Open.EditedJun 7 2017, 10:58 AM

@Addshore I think what @Lea_WMDE wants are kind of the same panels as for the RevisionSlider board. Especially the "BF users" (total), "New BF users" and "BF disables" panels.
In case there is no special code to add to our extensions anymore, probably also @GoranSMilovanovic could add those.

Yes, that's nearly what I want:

  • loads
  • errors
  • total BF users
  • new bf users
  • new bf disables

I do appreciate the graph, too, though :)

I am on it: figuring out where do these data live as of tonight after 20:00 CET...

@GoranSMilovanovic cool! I'm assigning it to you then and moving it to doing. If you find out that further work has to be done by the engineering team, please let us know!

GoranSMilovanovic closed this task as Resolved.Jun 9 2017, 8:04 AM

@Lea_WMDE @Tobi_WMDE_SW Done. Please check and let me know whether it fits your intentions (my first time w. Grafana).

As of the errors: as @Addshore has already noted above: "errors doesn't really apply to the twocolconflict extension, for revslider this relates to the api queries that the code makes failing causing the slider to fail. TwoColConflict doesn't make any similar api calls / have a way to fail like this."

Please re-open in case any additional work needs to be done here.

@GoranSMilovanovic cool, looks great! Could you still add a short description to each panel similar to what has been done for https://grafana.wikimedia.org/dashboard/db/mediawiki-revisionslider?refresh=1m&orgId=1.

@Tobi_WMDE_SW I'm on it, with a single question for you or @Addshore in that respect:

  • for the total number of BF users, comment on revisionslider is: "For wikis that have the feature enabled by default, those users will not be counted here. The number of users that were using the feature as a BetaFeature before it was enabled by default will still be counted." - Q: does this apply to TwoColConflict counts too?

Descriptions are added.

@GoranSMilovanovic thanks! As for your question, yes this applies also to TwoColConflict AFAIK.

@Tobi_WMDE_SW Done. This was, basically, a copy and paste of Adam's work for the revisionslider...
@Lea_WMDE Just let me know if you need anything else.

@GoranSMilovanovic thanks! As for your question, yes this applies also to TwoColConflict AFAIK.

Correct

Addshore moved this task from Backlog to Done / Closed on the User-Addshore board.Jun 12 2017, 2:44 PM
Tobi_WMDE_SW reopened this task as Open.
Tobi_WMDE_SW closed this task as Resolved.Jun 20 2017, 2:42 PM